<?php
/*
 * @package Sj K2 Listing
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
	$nb_items	= count($items);
	$nb_pages	= $nb_items*1.0 / $nb_page;
	if (intval($nb_pages)<$nb_pages){
		$nb_pages = intval($nb_pages) + 1;
	} else {
		$nb_pages = intval($nb_pages);
	}
?>
<div class="lt-header">
	<?php if((int)$params->get('cat_title_display',1)) { ?>
	<a class="lt-cat-name" href="<?php echo $cat[0]->link; ?>" title="<?php $cat[0]->name ?>" <?php echo SjK2ListingHelper::parseTarget($params->get('link_target')); ?> >
		<?php echo SjK2ListingHelper::truncate($cat[0]->name,$params->get('category_title_max_characs',25)) ;?>
	</a>
	<?php } ?>
	<?php if((int)$params->get('item_all_display',1)) {?>
		<a class="lt-seeall" href="<?php echo $cat[0]->link; ?>" title="<?php $cat[0]->name ?>" <?php echo SjK2ListingHelper::parseTarget($params->get('link_target')); ?> >
			<?php echo JText::_($params->get('sell_all_text','See all').' &raquo;'); ?>
		</a>
	<?php }?>
	<?php if($nb_pages>1){ ?>    
	<div class="lt-control">
		<ul class="lt-control-inner" >
			<li class="lt-previous lt-page"  href="#lt_items_<?php echo $module->id.'_'.$cat[0]->id; ?>" data-jslide="prev" ></li>
			<?php for($nb=0; $nb<$nb_pages; $nb++){
						$active_class = $nb==0 ? "  sel" : ""; ?>
					<li class="lt-page lt-page-<?php echo $nb.$active_class; ?> " href="#lt_items_<?php echo $module->id.'_'.$cat[0]->id; ?>" data-jslide="<?php echo $nb; ?>" ></li>
			<?php }?>
			<li class="lt-next lt-page" href="#lt_items_<?php echo $module->id.'_'.$cat[0]->id ;?>" data-jslide="next" ></li>
		</ul>
	</div>
	<?php }?>
</div>
<div class="clear"></div>