<?php
/*
 * @package Sj K2 Listing
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
?>
	<!-- add css header -->
	<?php ob_start(); ?> 
	#<?php echo $tag_id;  ?> .lt-wrap-inner .lt-items .lt-item .lt-item-inner:before{
		height:<?php echo $params->get('imgcfgnav_height',32) + 16 + 18; ?>px;
		width:<?php echo $params->get('imgcfgnav_width',32) + 16 + 18; ?>px;
		left:-<?php echo $params->get('imgcfgnav_width',32) + 16 + 17; ?>px;
	}
	
	#<?php echo $tag_id;  ?> .lt-wrap-inner.theme1 .lt-items .lt-item .lt-item-inner{
		margin-left:<?php echo $params->get('imgcfgnav_width',32) + 16 + 21 ?>px;
	}
	
	#<?php echo $tag_id;  ?> .lt-wrap-inner.theme1 .lt-items .lt-item .lt-item-inner .lt-icon{
		left:-<?php echo $params->get('imgcfgnav_width',32) + 16 + 17; ?>px;
	}
	
	#<?php echo $tag_id;  ?> .lt-wrap-inner.theme1 .lt-items .lt-item .lt-item-inner:hover .lt-summary{
		min-height:48px;
	}
	
	
	<?php  if ($params->get('item_desc_display') == 0 && $params->get('item_readmore_display') == 0 && $params->get('item_hits_display ')==0 && $params->get('item_title_display') == 0 && $params->get('item_tags_display') == 0  ) {?>
	#<?php echo $tag_id;  ?> .lt-wrap-inner.theme1 .lt-item .lt-item-inner{
		border:none;
	}
	
	#<?php echo $tag_id;  ?> .lt-wrap-inner.theme1 .lt-item .lt-summary{
		display:none
	}
	<?php }?>
	
	<?php 
		$stylesheet = ob_get_contents();
		ob_end_clean();
		$docs = JFactory::getDocument();
		$docs->addStyleDeclaration($stylesheet ); 
		
	?>

<div class="lt-wrap">

<?php 

 foreach ($list as $cat) {  $items = $cat[1]; 
	?>				 			 			    			      
	<div class="lt-wrap-inner <?php echo $theme ?>" data-id="<?php echo $module->id.'_'.$cat[0]->id; ?>"  >
		<?php require JModuleHelper::getLayoutPath($module->module, $layout.'_header');?>
		<div  class="lt-items <?php echo $effect; ?> <?php echo $class_resp1;  ?>" id="lt_items_<?php echo $module->id.'_'.$cat[0]->id; ?>" data-interval="<?php echo $interval?>" data-pause="<?php echo $pause_hover?>"  >				
			<?php $i=0; $k = 0; $m = -1; foreach ($items as $key => $item){$m++; $i++; $k++;
			$curr_class = ($m == 0)?'  active ':'';
			$nb_items = count($items); 
			if($i%$nb_page == 1 || $nb_page == 1){?>
			<div class="lt-content-page items-grid cf <?php echo $curr_class; ?> item">
			<?php } ?>
			
					<?php 	
						$img = SjK2ListingHelper::getK2Image($item, $params, 'imgcfg');					
						$small_img = ImageHelper::init($img, $small_image_config)->src();							
						
						//$img = (strpos($img,'http://') !== false || strpos($img,'https://') !== false)?$img:(JURI::root().$img);
					?>
				<div class="lt-item" style="height:<?php echo  $params->get('imgcfgnav_width',32) + 16 + 28 ?>px;" >		
					<div class="lt-item-inner" >							
						
						<?php 
					
						if((is_file($small_img) && file_exists($small_img)) || SjK2ListingHelper::isUrl($small_img)){
							 ?>
							
							<div class="lt-icon" style="width:<?php echo $params->get('imgcfgnav_width',32) + 17 ?>px; height:<?php echo $params->get('imgcfgnav_height',32) +16 ?>px;" >														
								<div class="lt-icon-inner" style="width:<?php echo $params->get('imgcfgnav_width',32); ?>px; height:<?php echo $params->get('imgcfgnav_height',32); ?>px;" >
									<a href="<?php echo $item->link ?>" <?php echo SjK2ListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
										<img alt="<?php echo $item->displaytitle;?>" src="<?php echo $small_img;?>"/>	
									</a>
								</div>
							</div>
						<?php } ?>
				
				
						<div class="lt-summary" style="height:<?php echo $params->get('imgcfgnav_height',32) +16 ?>px;" >								
							<?php if($item->displaytitle != '') { ?>
							<div class="lt-title">	
								<a href="<?php echo $item->link ?>" <?php echo SjK2ListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->displaytitle?>" >
									<?php echo $item->displaytitle;?>
								</a>
							</div>
							<?php }?>
				
				
							<?php if((int)$params->get('item_created_display',1)) {?>
							<div class="item-created">
								<?php echo JHtml::date($item->publish_up, 'd F Y'); ?>
							</div><!-- End sj_item_date -->
							<?php }?>	
							
						</div>
						<?php  if(($item->displayIntrotext != '') || ($item->tags != '')) { ?>
						<div class="lt-more" >
							
							<?php if($item->displayIntrotext != '') { ?>
								<div class="lt-desc" >
									<?php echo $item->displayIntrotext; ?>
								</div>
							<?php }?>
				
				
							<div class="cf"></div>
						
							<?php if($item->tags != ''){?>
							<div class="lt-tags">
								<?php foreach ($item->tags as $tag): ?>
								<span class="tag-<?php echo $tag->id; ?>">
									<a class="label label-info" href="<?php echo $tag->link; ?>" title="<?php echo $tag->name; ?>" target="_blank"><?php echo $tag->name; ?></a>
								</span>
								<?php endforeach; ?>
							</div>			
							<?php }	?>
			 
							<div class="cf"></div>
							<?php if( (int)$params->get('item_author_display', 1) ): ?>
							<div data-label="by " class="lt-author" >								
								<?php echo $item->author; ?>																	
							</div>
							<?php endif;  ?>
							<div class="cf"></div>	
							
							<?php if( (int)$params->get('item_readmore_display') && ($params->get('item_readmore_text') !='')  ){ ?>
							<div class="lt-readmore"   >
								<a href="<?php echo $item->link; ?>" title="<?php echo $item->title ?>" <?php echo SjK2ListingHelper::parseTarget($params->get('link_target'));?> >
									<?php echo $params->get('item_readmore_text');?>
								</a>
							</div><!--End sj_item_read_more-->
							<?php }?>
							
							<?php if((int)$params->get('item_hits_display',1)) {?>
							<div class="lt-reviews">
								<?php  echo (int)$item->hits ?><?php echo ((int)($item->hits) > 1)?JText::_(" reviews"):JText::_(" review")?>
							</div>
							<?php }?>
						</div>
						<?php } ?>
					</div>        				 															    
				</div>
			<?php 
				$clear = 'clr1';
				if ($k % 2 == 0) $clear .= ' clr2';
				if ($k % 3 == 0) $clear .= ' clr3';
				if ($k % 4 == 0) $clear .= ' clr4';
				if ($k % 5 == 0) $clear .= ' clr5';
				if ($k % 6 == 0) $clear .= ' clr6';
			?>
				<div class="<?php echo $clear; ?>"></div>   	
			<?php 
			if($i%$nb_page==0 || $i==$nb_items){ ?>
			</div>
			<?php $k = 0; }
			}?>
		</div>
	</div>
<?php } ?>
</div>
