<?php
/*
 * @package Sj K2 Listing
 * @version 3.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

	$tag_id = 'sj_k2_listing_'.rand().time();
	JHtml::stylesheet('modules/'.$module->module.'/assets/css/sj-listing.css');
	JHtml::stylesheet('modules/'.$module->module.'/assets/css/styles-responsive.css');
	
	if (!defined('SMART_JQUERY') && ( int ) $params->get ( 'include_jquery', '1' )) {
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
		JHtml::script('modules/'.$module->module.'/assets/js/jquery-noconflict.js');
		define('SMART_JQUERY', 1);
	}
	JHtml::script('modules/'.$module->module.'/assets/js/jcarousel.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.mousewheel.js');
	//JHtml::script('modules/'.$module->module.'/assets/js/jquery.touchwipe.1.1.1.js');
	JHtml::script('modules/'.$module->module.'/assets/js/jquery.cj-swipe.js');
	ImageHelper::setDefault($params);
	
	$small_image_config=array(
		'type'			=> $params->get('imgcfgnav_type'),
		'width' 		=> $params->get('imgcfgnav_width'),
		'height' 		=> $params->get('imgcfgnav_height'),
		'quality' 		=> 90,
		'function' 		=> ($params->get('imgcfgnav_function') == 'none')?null:'resize',
		'function_mode' => ($params->get('imgcfgnav_function') == 'none')?null:substr($params->get('imgcfgnav_function'), 7),
		'transparency'  => $params->get('imgcfgnav_transparency', 1)?true:false,
		'background' 	=> $params->get('imgcfgnav_background') );
	
	$big_image_config=array(
		'type'			=> $params->get('imgcfg_type'),
		'width' 		=> $params->get('imgcfg_width'),
		'height' 		=> $params->get('imgcfg_height'),
		'quality' 		=> 90,
		'function' 		=> ($params->get('imgcfg_function') == 'none')?null:'resize',
		'function_mode' => ($params->get('imgcfg_function') == 'none')?null:substr($params->get('imgcfg_function'), 7),
		'transparency'  => $params->get('imgcfg_transparency', 1)?true:false,
		'background' 	=> $params->get('imgcfg_background') );
		
	$theme = $params->get('theme','theme1');
	$pause_hover = ($params->get('pause_hover') == 'hover')?'hover':'';;
	$interval = (int)$params->get('interval','4000');
	
	if ($params->get('play') != 1){
		$interval = 0;
	} else {
		$interval = $params->get('interval', 5000);
	}
	$effect = ($params->get('effect') == 1)?' slide':'';
	$nb_page = (int)$params->get('items_page',1);
	$nb_page = ($nb_page <=0 )?1:$nb_page;
	$class_resp1     = null;
	$class_resp1    .= ' preset01-'.(int)$params->get('nb-column1',2); 
	$class_resp1    .= ' preset02-'.(int)$params->get('nb-column2',2);
	$class_resp1    .= ' preset03-'.(int)$params->get('nb-column3',2);
	$class_resp1    .= ' preset04-'.(int)$params->get('nb-column4',1);
?>

<!--[if lt IE 9]><div class="sj-k2-listing msie lt-ie9" id="<?php echo $tag_id; ?>" ><![endif]--> 
<!--[if IE 9]><div class="sj-k2-listing msie" id="<?php echo $tag_id; ?>" ><![endif]-->
<!--[if gt IE 9]><!--><div class="sj-k2-listing" id="<?php echo $tag_id; ?>" ><!--<![endif]-->
	<?php if($params->get('pretext') != ''){ ?>
		<div class="intro_text" ><?php echo $params->get('pretext'); ?></div>
	<?php } 
	if(!empty($list)){
		include JModuleHelper::getLayoutPath($module->module, $layout.'_'.$theme); 
	} else { ?>
	<div class="no-item">
		<?php echo JText::_('NO_CONTENT'); ?>
	</div>
	<?php }
	if($params->get('posttext') != ''){ ?>	
		<div class="footer_text"><?php echo $params->get('posttext');?></div>
	<?php } ?>
	<div class="clear"></div>
</div>