<?php
/**
 * @package Sj K2 Listing
 * @version 1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

$options = $params->toObject();

ob_start();
include JModuleHelper::getLayoutPath($module->module, 'styles');
$stylesheet = ob_get_contents();
ob_end_clean();
$docs = JFactory::getDocument();
$docs->addStyleDeclaration($stylesheet );

?>
<?php if(!empty($items)){?>
	<div  id="sj_<?php echo $module->id;?>" class="sj">
		<div class="intro_text"  ><?php echo $options->pretext;?></div>
		<?php  
			if(!empty($items))	{	
				foreach ($items as $value) {
					$firstval = current ($value);
		?>				 			 			    			      
					<div  id="sj_category<?php echo $module->id;?>_<?php  echo $firstval['catid'];?>"  class="theme1"  >
						<h2><?php if($options->link_category ==1){?>
								<a  class=" <?php if($options->target=='pop-up'):?>modal<?php endif;?>"   href="<?php  echo $firstval['category_link'];?>" target="<?php echo $options->target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}"><?php echo YTools::truncate($firstval['category_sub_title'], $options->limit_title_category,"");?></a>
							<?php }else {echo YTools::truncate($firstval['category_sub_title'], $options->limit_title_category,"");}?>
							<?php if($options->show_all_articles==1) {?>
								<a  class=" <?php if($options->target=='pop-up'):?>modal<?php endif;?>"   href="<?php  echo $firstval['category_link'];?>" target="<?php echo $options->target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}"  ><span class="seeall">See all &raquo;</span></a>
							<?php }?>
						</h2>	
						<script type="text/javascript" language="javascript">
							$jsmart(document).ready(function ($){
								$(" #sj_item_<?php echo $module->id;?>_<?php  echo $firstval['catid'];?>").easyPaginate({
									step:<?php echo $options->numcols*$options->numrows;?>, 
										controls: 'pagination_<?php echo $module->id;?>_<?php  echo $firstval['catid'];?>'}); });
						</script>							
						<ul id="sj_item_<?php echo $module->id;?>_<?php  echo $firstval['catid'];?>"     class="sj_item clearfix"   >																	
							<?php foreach ($value as $values){?>																			
								<li>		 				
									<div class="sj_item_hovercard">																					
										<div class="sj_item_icon" >														
											<?php if($options->show_image==1){?>					
												<?php if($options->link_image==1) {?>									
													<a  class=" <?php if($options->target=='pop-up'):?>modal<?php endif;?>"  href="<?php  echo $values['article_link']; ?>" target="<?php echo $options->target;?>"rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}">
														<img src="<?php echo YTools::resize($values['article_image'], $options->item_thumbnail_width, $options->item_thumbnail_height, $options->item_thumbnail_mode);?>" alt="<?php  echo YTools::truncate($values['article_sub_title'], $options->limit_title_article,"");?>" /> 
													</a> 
												<?php }else{?><img src="<?php echo YTools::resize($values['article_image'], $options->item_thumbnail_width, $options->item_thumbnail_height, $options->item_thumbnail_mode);?>" alt="<?php  echo YTools::truncate($values['article_sub_title'], $options->limit_title_article,"");?>" />		<?php } ?>  
											<?php } ?>  		   
										</div><!--End sj_item_icon-->																					
										<div class="sj_item_title" >																			  
											<?php if($options->show_title==1) {?>
												<?php if($options->link_article_title==1) {?>
													<a  class=" <?php if($options->target=='pop-up'):?>modal<?php endif;?>" href="<?php  echo $values['article_link']; ?>" target="<?php echo $options->target;?>" rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}"  ><?php  echo YTools::truncate($values['article_sub_title'], $options->limit_title_article,"");?> </a>		  
												<?php } else{ ?> <a  > <?php echo YTools::truncate($values['article_sub_title'], $options->limit_title_article,"");?></a>	<?php  }?>		                   					 
											<?php  }?>
											<?php if($options->show_date==1) {?>
												<div class="sj_item_date"><?php  echo ( $values['date']);?>
												</div><!-- End sj_item_date -->
											<?php }?>
										</div><!--End sj_item_title--> 
										<?php  if ($options->show_description == 1 ) {?>
											<div class="sj_item_description" >
												<div class="sj_item_content" ><?php  echo YTools::truncate($values['article_content'], $options->limit_description_article,""); ?>
												</div> <!-- End sj_item_content -->       
												<div class="sj_item_byline"><?php if($options->show_author==1)  echo "by &nbsp;".$values['article_author']; ?>
												</div> <!--End sj_item_byline-->						  
												<?php if ($options->show_read_more_link == 1) {?>   
													<div class="sj_item_readmore">
														<a class=" <?php if($options->target=='pop-up'):?>modal<?php endif;?>" href="<?php  echo $values['article_link']; ?>" target="<?php echo $options->target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}"><?php echo $options->read_more_text;?></a>
													</div> <!--End sj_item_read_more-->
												<?php }?>
												<?php if($options->show_hits==1) {?>
													<div class="sj_item_hits"><?php echo $values['article_hits']. " hits";?> 
													</div> <!--End sj_item_hits-->
												<?php }?>
											</div> <!--End sj_item_description-->
										<?php	}?>										
									</div> <!--End sj_item_hovercard-->         				 															    
								</li> 	
							<?php }?>
						</ul> <!--End article_listing-->
					</div> <!--End theme1-->
		<?php 	}
			}
		?>
		<div class="footer_text"><?php echo $options->posttext;?></div>    
	</div><!--End smart_article_listing-->	 
 <?php   } else { echo JText::_('Has no content to show!');}?>
 
 		

   
  